## node-verror 1.10.1%2B~1.10.5

=== Makefile ===
#
# Copyright (c) 2016, Joyent, Inc. All rights reserved.
#
# Makefile: top-level Makefile
#
# This Makefile contains only repo-specific logic and uses included makefiles
# to supply common targets (javascriptlint, jsstyle, restdown, etc.), which are
# used by other repos as well.
#

#
# Tools
#
CATEST		 = deps/catest/catest
NPM		 = npm

#
# Files
#
JS_FILES	:= $(shell find lib examples test -name '*.js')
JSL_FILES_NODE   = $(JS_FILES)
JSSTYLE_FILES	 = $(JS_FILES)
JSL_CONF_NODE	 = jsl.node.conf

.PHONY: all
all:
	$(NPM) install

.PHONY: test
test: $(CATEST)
	$(CATEST) -a

$(CATEST): deps/catest/.git

include ./Makefile.targ

## node-verror 1.10.0

=== debian/changelog ===
node-verror (1.10.0-1) unstable; urgency=low

  * Initial release (Closes: #861799)

 -- Pirate Praveen <praveen@debian.org>  Thu, 04 May 2017 13:06:06 +0530

=== debian/control ===
Source: node-verror
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends:
 debhelper (>= 9)
 , dh-buildinfo
 , nodejs
Standards-Version: 3.9.8
Homepage: https://github.com/davepacheco/node-verror
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-verror.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-verror.git

Package: node-verror
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-core-util-is (>= 1.0.2)
 , node-extsprintf (>= 1.2.0)
 , node-assert-plus (>= 1.0.0)
Description: rich JavaScript errors
 This module provides several classes in support of Joyent's Best Practices
 for Error Handling in Node.js.
 .
 The error classes here support:
  * printf-style arguments for the message
  * chains of causes
  * properties to provide extra information about the error
  * creating your own subclasses that support all of these
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/tests/control ===
Tests: require
Depends: node-verror

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-verror-$1.tar.gz/ \
 https://github.com/davepacheco/node-verror/tags .*/archive/v?([\d\.]+).tar.gz

## node-verror 1.10.1+~1.10.5

=== debian/changelog ===
node-verror (1.10.1+~1.10.5-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + node-verror: Add :any qualifier for nodejs dependency.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 08 Dec 2022 00:53:26 +0000

node-verror (1.10.1+~1.10.5-1) unstable; urgency=medium

  * Team upload
  * Fix filenamemangle
  * Embed typescript declarations
  * New upstream version 1.10.1+~1.10.5
  * Drop patch

 -- Yadd <yadd@debian.org>  Wed, 06 Apr 2022 18:17:49 +0200

node-verror (1.10.0-2) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Trim trailing whitespace.
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update Vcs-* headers from URL redirect.
  * Use canonical URL in Vcs-Git.
  * Remove constraints unnecessary since stretch:
    + node-verror: Drop versioned constraint on node-core-util-is in Depends.
  * Bump debhelper from old 12 to 13.

  [ Yadd ]
  * Declare compliance with policy 4.6.0
  * Add "Rules-Requires-Root: no"
  * Change section to javascript
  * Add debian/gbp.conf
  * Modernize debian/watch
  * Fix GitHub tags regex
  * Use dh-sequence-nodejs auto install
  * Enable upstream test
  * Install examples

 -- Yadd <yadd@debian.org>  Mon, 11 Oct 2021 19:21:44 +0200

=== debian/control ===
Source: node-verror
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends: debhelper-compat (= 13)
 , dh-sequence-nodejs
 , node-assert-plus <!nocheck>
 , node-core-util-is <!nocheck>
 , node-extsprintf <!nocheck>
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/js-team/node-verror
Vcs-Git: https://salsa.debian.org/js-team/node-verror.git
Homepage: https://github.com/davepacheco/node-verror
Testsuite: autopkgtest-pkg-nodejs
Rules-Requires-Root: no

Package: node-verror
Architecture: all
Depends: ${misc:Depends}
 , node-assert-plus
 , node-core-util-is
 , node-extsprintf
 , nodejs:any
Provides: ${nodejs:Provides}
Description: rich JavaScript errors
 This module provides several classes in support of Joyent's Best Practices
 for Error Handling in Node.js.
 .
 The error classes here support:
  * printf-style arguments for the message
  * chains of causes
  * properties to provide extra information about the error
  * creating your own subclasses that support all of these
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/watch ===
version=4
opts=\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-verror-$1/ \
 https://github.com/davepacheco/node-verror/tags .*/archive/.*/v?([\d\.]+).tar.gz group

# It is not recommended use npmregistry. Please investigate more.
# Take a look at https://wiki.debian.org/debian/watch/
opts="searchmode=plain,component=types-verror,ctype=nodejs,pgpmode=none,filenamemangle=s/^.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-types-verror-$1/" \
 https://registry.npmjs.org/@types/verror https://registry.npmjs.org/@types/verror/-/verror-([\d\.]+)@ARCHIVE_EXT@ group
